Subject: Re: [PATCH] send-email: use catfile() to concatenate files

From: Jakub Narebski <[email-masked]>
Date: Tue, 14 Sep 2010 13:35:40 -0700 (PDT)

Ævar Arnfjörð Bjarmason <[email-masked]> writes:
> On Tue, Sep 14, 2010 at 19:26, Junio C Hamano <[email-masked]> wrote:
>> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>>
>>> Change send-email to use Perl's catfile() function instead of
>>> "$dir/$file". If send-email is given a $dir that ends with a / we'll
>>> end up printing a double slashed path like "dir//mtfnpy.patch".
>>>
>>> This doesn't cause any problems since Perl's IO layer will handle it,
>>> but it looks ugly.
>>>
>>> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
>>
>> If you mentioned in the proposed log message that File::Spec::Functions
>> have been with us since Perl 5.6.1, it would have saved me (and others)
>> some time worrying about the portability issues.
> 
> I thought you might trust me to write portable code by default :)
> 
> Anyway, I forgot to mention it. But one can use the corelist(1)
> program to see when what modules appeared in perl core:
> 
>     $ corelist File::Spec::Functions
>     File::Spec::Functions was first released with perl 5.00504

Also using File::Spec / File::Spec::Functions makes code more portable
(with respect to things such as different directory separators, and
volume portion of pathname) than using "$dir/$file".

-- 
Jakub Narebski
Poland
ShadeHawk on #git